@tool
class_name LiveTranslateLabel
extends Label


func _ready() -> void:
	LiveTranslator.translations_read.connect(func () -> void: set_translation_key(translation_key))


@export_multiline var translation_key: String:
	set = set_translation_key


func set_translation_key(v: String) -> void:
	translation_key = v

	if Engine.is_editor_hint():
		text = LiveTranslator.keys.get(v, "")
	else:
		text = v

