@tool
extends EditorPlugin

const SINGLETON_NAME: String = "LiveTranslator"
const TOOL_MENU_NAME: String = "Reread translations"
var translation_read_callable: Callable = func (): LiveTranslator.read_translations()


func _enter_tree():
	add_autoload_singleton(SINGLETON_NAME, "LiveTranslator.gd")
	add_tool_menu_item(TOOL_MENU_NAME, translation_read_callable)



func _exit_tree():
	remove_autoload_singleton(SINGLETON_NAME)
	remove_tool_menu_item(TOOL_MENU_NAME)
